Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class AccessControlListIndexAgent.DeferredEntrySet

    java.lang.Object
      oracle.ifs.core.agents.AccessControlListIndexAgent.DeferredEntrySet

Enclosing class:
  AccessControlListIndexAgent

    protected final class AccessControlListIndexAgent.DeferredEntrySet

extends java.lang.Object

Manage a set of deferred entries. This removes duplicates from a set of AccessControlListDeferredUpdate objects.

(Unpublished)

Constructor Summary
`protected` | `AccessControlListIndexAgent.DeferredEntrySet()` Construct a DeferredEntrySet.

Method Summary
`protected AccessControlListDeferredUpdate` | `addEntry(AccessControlListDeferredUpdate entry)` add a entry to the set.
`protected boolean` | `entryExists(AccessControlListDeferredUpdate entry)` return indication as to whether the specified entry is in this set.
`protected int` | `getAllEntryCount()` Return the count of Entry IDs
`protected java.lang.Long[]` | `getAllEntryIds()` Return the set of Entry IDs
`protected AccessControlListDeferredUpdate[]` | `getEntries()` Return the set of Members

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessControlListIndexAgent.DeferredEntrySet

    protected AccessControlListIndexAgent.DeferredEntrySet()

  Construct a DeferredEntrySet.

  (Unpublished)

Method Detail

### addEntry

    protected AccessControlListDeferredUpdate addEntry(AccessControlListDeferredUpdate entry)

  Description copied from class: `AccessControlListIndexAgent.DeferredEntrySet`
  add a entry to the set. Return null if the entry was not yet previously added, and non-null otherwise.

  Parameters:
    `entry` - the entry
  Returns:
    null if the entry was not previously added
  (Unpublished)

### entryExists

    protected boolean entryExists(AccessControlListDeferredUpdate entry)

  Description copied from class: `AccessControlListIndexAgent.DeferredEntrySet`
  return indication as to whether the specified entry is in this set.

  Parameters:
    `entry` - the entry
  Returns:
    true if the entry is already part of this set
  (Unpublished)

### getAllEntryCount

    protected int getAllEntryCount()

  Description copied from class: `AccessControlListIndexAgent.DeferredEntrySet`
  Return the count of Entry IDs

  Returns:
    the count of entry IDs
  (Unpublished)

### getAllEntryIds

    protected java.lang.Long[] getAllEntryIds()

  Description copied from class: `AccessControlListIndexAgent.DeferredEntrySet`
  Return the set of Entry IDs

  Returns:
    the set of entry IDs
  (Unpublished)

### getEntries

    protected AccessControlListDeferredUpdate[] getEntries()

  Description copied from class: `AccessControlListIndexAgent.DeferredEntrySet`
  Return the set of Members

  Returns:
    the set of members
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD